


<h1><a name="diff" id="diff">Diff</a></h1>
<div class="level1">

<p>

<a href="http://www.gnu.org/software/diffutils/" class="urlextern" title="http://www.gnu.org/software/diffutils/"  rel="nofollow">Diff</a>: <a href="http://en.wikipedia.org/wiki/diff" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/diff">Diff</a>
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Diff" [1-88] -->
<h2><a name="how_to_compare_two_folders_recursively" id="how_to_compare_two_folders_recursively">How to compare two folders recursively</a></h2>
<div class="level2">
<pre class="code bash"><span class="co0"># Comparing two folder recursively, paginating, output in two columns, reporting identical files.</span>
$ <span class="kw2">diff</span> <span class="re5">-r</span> <span class="re5">-l</span> <span class="re5">-y</span> <span class="re5">-s</span> path<span class="sy0">/</span>to<span class="sy0">/</span>folder<span class="sy0">/</span>a path<span class="sy0">/</span>to<span class="sy0">/</span>folder<span class="sy0">/</span>b <span class="sy0">|</span> <span class="kw2">less</span></pre>
<div class="tags"><span>
	<a href="/~kssilveira/site/doku.php?id=tag:programming&amp;do=showtag&amp;tag=tag%3Aprogramming" class="wikilink1" title="tag:programming" rel="tag">programming</a>
</span></div>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to compare two folders recursively" [89-] -->